import produce from 'immer';

import {
  RESET_PASSWORD_REQUEST,
  RESET_PASSWORD_SUCCESS,
  RESET_PASSWORD_ERROR
} from './actions';

export const initialState = {
  isResetPasswordPending: false
};

/* eslint-disable default-case */
const resetPasswordReducer = (state = initialState, action) =>
  produce(state, draft => {
    switch (action.type) {
      case RESET_PASSWORD_REQUEST:
        draft.isResetPasswordPending = true;
        break;
      case RESET_PASSWORD_SUCCESS:
      case RESET_PASSWORD_ERROR:
        draft.isResetPasswordPending = false;
        break;
    }
  });

export default resetPasswordReducer;
